1:n relation: "On map identification" relation widget does not update the value

2018-04-27 04:41 PM - matteo ghetta

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Relations

Affected QGIS version:3.6.0 Regression?: No

Operating System: linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26699

Description

With 2 geometric layers, with the "On map identification" option of Reference Widget enabled, when clicked on a new feature of the

"parent" layer the value is not written (empty cell). A gif in attach to show the problem

History

#1 - 2019-03-18 11:53 PM - Bernd Vogelgesang

- File Bildschirmfoto vom 2019-03-18 23-49-33.png added

still not working in 3.6. Trying to reference a point to a non-spatial child layer. The feature is indeed identified (can see all values when showing embedded

form) but the reference value is not handed over/field is not populated. Would be an awesome feature for quickly creating 1:n entries if it would work.

#2 - 2019-03-20 01:31 PM - Giovanni Manghi

- Affected QGIS version changed from 3.1(master) to 3.6.0

#3 - 2019-05-23 11:37 AM - matteo ghetta

- Status changed from Open to Closed

From some tests I think this issue has been fixed in #22071.

Files

relation.gif 341 KB 2018-04-27 matteo ghetta

Bildschirmfoto vom 2019-03-18 23-49-33.png 199 KB 2019-03-18 Bernd Vogelgesang
